Skip to content
Linq Copy agent prompt

Replay retained webhook events

POST/v1/webhook_endpoints/{endpoint}/replays

Accept a bounded replay of events still present in account history. Account-event history has no fixed minimum retention period in beta. Retrying the same acceptance key recovers its response for 24 hours.

Path ParametersExpand Collapse
endpoint: string
Header ParametersExpand Collapse
"Idempotency-Key": string
maxLength255
minLength1
Body ParametersJSONExpand Collapse
after_cursor: optional string

Exclusive event-log cursor. Omit to begin inclusively at retained history.

through_cursor: optional string

Inclusive event-log cursor. Omit to snapshot the committed tail.

ReturnsExpand Collapse
ReplayAcceptance object { id, after_cursor, created_at, 3 more }
id: string
after_cursor: string
created_at: string
formatdate-time
selected: number
formatint32
state: "pending"
through_cursor: string

Replay retained webhook events

curl https://whatsapp.messages.api.linqapp.com/v1/webhook_endpoints/$ENDPOINT/replays \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $LINQ_WHATSAPP_API_KEY" \
    -d '{}'
{
  "id": "id",
  "after_cursor": "after_cursor",
  "created_at": "2019-12-27T18:11:19.117Z",
  "selected": 0,
  "state": "pending",
  "through_cursor": "through_cursor"
}
Returns Examples
{
  "id": "id",
  "after_cursor": "after_cursor",
  "created_at": "2019-12-27T18:11:19.117Z",
  "selected": 0,
  "state": "pending",
  "through_cursor": "through_cursor"
}